'use strict';

import { values } from "ramda";

/**
 * Note: we lose our original attributes
 *       (much like how the BEM function works and - possibly - the 'add_attributes' function)
 *       need to try and find a workaround somehow
 *
 * @param {} Twig
 */

const addClassTwigExtension = function (Twig) {

  Twig.extendFunction("addClass", function(myClass = '', attributes = '') {

    attributes = [];

    if (myClass.includes('=')) {
      attributes.push(myClass);
    }
    else {
      attributes.push('class' + '="' + myClass + '"');
    }

    return attributes.join(' ');

  });
}

export default addClassTwigExtension;
